﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private NameText As EditText
	Private SelectedPlayersLV As ListView
	Private StartingBalanceText As EditText
	Private ListOfPlayers As List
	Private IncludeBankCB As CheckBox
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("CreateGameActivity")
	Activity.AddMenuItem3("Done", "CreateGame", Null, True)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub AddPlayersButton_Click
	Dim PL As List = Main.DB.ListAllPlayers
	If PL.IsInitialized = False Then
		Msgbox("You must add some players first!", "")
	Else
		Dim Resp As List = InputMultiList(PL, "Select Players")
		If Resp.IsInitialized Then
			SelectedPlayersLV.Clear
			ListOfPlayers.Initialize
			If IncludeBankCB.Checked Then ListOfPlayers.Add("Bank")
			For i = 0 To Resp.Size - 1
				SelectedPlayersLV.AddSingleLine(PL.Get(i))
				ListOfPlayers.Add(PL.Get(i))
			Next
		End If
	End If
End Sub

Sub CreateGame_Click
	Try
		If StartingBalanceText.Text = "" Then
			Msgbox("You need to enter a starting balance", "Error: Starting Balance")
		Else
			Main.DB.CreateNewGame(NameText.Text, StartingBalanceText.Text, ListOfPlayers)		
		End If
	Catch
		Msgbox(LastException.Message, "Game Creation Error")
	End Try
End Sub

